org.jboss.logging.processor.validation

## Class FormatValidatorFactory

- java.lang.Object
- - org.jboss.logging.processor.validation.FormatValidatorFactory

    public final class FormatValidatorFactory
    extends Object

Date: 12.08.2011

Author:
  James R. Perkins

### Method Summary

Methods
`static FormatValidator` `create(org.jboss.logging.annotations.Message.Format format, String message)`
`static FormatValidator` `create(MessageMethod messageMethod)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static FormatValidator create(MessageMethod messageMethod)
                                  throws IllegalStateException

Throws:
  `IllegalStateException`

#### create

    public static FormatValidator create(org.jboss.logging.annotations.Message.Format format,
                         String message)
                                  throws IllegalStateException

Throws:
  `IllegalStateException`